Rendering issues in 1.3.0

2009-11-05 06:47 AM - Adrian Wooster

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12111

Description

I've been trying to get me head around this for a while now but seem to keep coming back to this as a potential bug but I'm afraid it seems

a little odd to me, so please excuse the explanation.

    -  When I load a single layer - no problems.

    -  When I load multiple layers, from any source, with different CRS and on-the-fly ticked, the additional layers don't appear on the main

area.

    -  Zooming to the extent of the invisible layers confirms they are in the right place, and adding them to the overlay also confirms this.

Sometimes, the additional layers appear in the overlay box correctly but are still invisible in the main area, sometimes they are invisible

but the red bounding box in overlay doesn't move when zoom to the extent of a hidden layer.

Changing something on a hidden layer to force QGis to re-render hasn't worked so far.

These layers - generally a mixture of shape files and postgis - worked perfectly under earlier releases of QGis.

The thing which confuses me about this is that when I save an invisible layer to a shapefile and load that, its loads in the right place with

the polygons properly placed. However, the attribute table has been distorted.The column headings are correct, but the data after the

second column has been shifted by one column, with the final colm of data missing:

 - columns 1 & 2 are correct

 - the 3rd column now contains only nulls

 - the 4th contains column 3 data,

 - the fifth column contains column 4 data,

 - etc.

In case its relevant the reference systems being used are the Mapnik/Google (900913) projection as a custom CRS generally used for

raster images generated by Mapnik, and 27700 OSGB [[PostGIS]] and shapefile layers.

I have QGis 1.3 running under 64-bit Ubuntu 9.04 (and now 9.10) on an AMD quad-core with 8Gb RAM - installed from both the QGis

unstable repository and the [[UbuntuGIS]] source. I was able to replicate the issue on a Windows XP machine from a copy installed from

OSGeo4W.

I'd be very happy to find it was a mess-up on my behalf but no responses on the forum except to report a bug suggests otherwise.

History

#1 - 2009-11-30 02:35 PM - Giovanni Manghi

can you post a sample of the data is giving you problems in order to try replicate the bug?
#2 - 2009-12-30 01:14 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

I cannot replicate the problems under both linux and windows with a recent (1.4) version of qgis. Please post sample data if you still have this issue.

Reopen if necessary.
